/*
 * Semaforo.h
 *
 *  Created on: 5 de Set de 2018
 *      Author: escarvalho
 */

#ifndef SEMAFORO_H_
#define SEMAFORO_H_

#include <iostream>
#include <string>
#include <vector>

#include "Lampada.h"

namespace std {

class Semaforo {
protected:
	vector<Lampada> vLampada;
	vector<Lampada>::iterator itLampada;
	bool statusOnOff;
public:
	Semaforo();
	virtual ~Semaforo();
    vector<Lampada>::iterator getItLampada() const;
    vector<Lampada> getLampada() const;
    bool isStatusOnOff() const;
    void setItLampada(vector<Lampada>::iterator itLampada);
    void setLampada(vector<Lampada> vLampada);
    void setStatusOnOff(bool statusOnOff);
    bool temporiza(Lampada::Cor cor);
    void alternaCor();
};

} /* namespace std */
#endif /* SEMAFORO_H_ */
